Loading...
Searching...
No Matches
casacore::Allocator_private::AllocSpec< T > Struct Template Reference
casa package (libcasa_casa) » Containers_module

Allocator specifier. More...

## Public Member Functions

| AllocSpec (BulkAllocator< T > *alloc)

## Public Attributes

BulkAllocator< T > * | allocator

## Detailed Description

template<typename T>
struct casacore::Allocator_private::AllocSpec< T >

Allocator specifier.

### Synopsis

This class is just used to avoid ambiguity between overloaded functions.

Definition at line 315 of file Allocator.h.

## Constructor & Destructor Documentation

## AllocSpec()

template<typename T>

casacore::Allocator_private::AllocSpec< T >::AllocSpec | ( | BulkAllocator< T > * | alloc | ) |

inline explicit

Definition at line 317 of file Allocator.h.

References allocator.

## Member Data Documentation

## allocator

template<typename T>

BulkAllocator<T>* casacore::Allocator_private::AllocSpec< T >::allocator

Definition at line 316 of file Allocator.h.

Referenced by AllocSpec().

The documentation for this struct was generated from the following file:

- casa/Containers/Allocator.h